Skip to content

Commit or cancel a chat stream

POST
/v1/adapters/llm/chat/stream/{id}/{action}
curl --request POST \
--url https://example.com/v1/adapters/llm/chat/stream/example/commit \
--header 'Authorization: Bearer <token>'
id
required
string

Chat stream id.

action
required
string
Allowed values: commit cancel

Stream lifecycle action.

Action accepted

Invalid request body or parameters

Media typeapplication/json

Canonical structured error emitted by the chat completion, chat stream and embeddings handlers (the shared errorResponse helper). code is an application error code (0 when unset); status mirrors the HTTP status.

object
name
required
string
message
required
string
code
required
integer
status
required
integer
Examplegenerated
{
"name": "example",
"message": "example",
"code": 1,
"status": 1
}

Unauthorized

Forbidden

Resource does not exist

Media typeapplication/json

Canonical structured error emitted by the chat completion, chat stream and embeddings handlers (the shared errorResponse helper). code is an application error code (0 when unset); status mirrors the HTTP status.

object
name
required
string
message
required
string
code
required
integer
status
required
integer
Examplegenerated
{
"name": "example",
"message": "example",
"code": 1,
"status": 1
}

Internal server error

Media typeapplication/json

Canonical structured error emitted by the chat completion, chat stream and embeddings handlers (the shared errorResponse helper). code is an application error code (0 when unset); status mirrors the HTTP status.

object
name
required
string
message
required
string
code
required
integer
status
required
integer
Examplegenerated
{
"name": "example",
"message": "example",
"code": 1,
"status": 1
}

Bad gateway (upstream adapter error)